:root {
    --background: #121212;
    --text-color: #ffffff;
    --accent: #4CAF50;
    --row-odd: #262626;
    --row-even: #1f1f1f;
}

body {
    font-family: 'Roboto', sans-serif;
    background-color: var(--background);
    color: #ffffff;
    justify-content: center;
}

.download-action-button {
    border: 2px solid #555555;
    border-radius: 5px;
    padding: 5px;
    background: none;
    cursor: pointer;
}

.header {
    background-color: #1e1e1e;
    padding: 10px;
    border: 1px solid #333333;
    border-radius: 5px;
}

.header ul {
    list-style-type: none;
    padding: 0;
    margin: 0;
    display: flex;
}

.header li {
    margin-right: 15px;
}

.header a {
    text-decoration: none;
    color: #1DB954;
    padding: 8px 15px;
    border-radius: 5px;
    transition: background-color 0.3s;
}

.header a:hover {
    background-color: #333333;
}

.header a.active {
    background-color: var(--accent);
    color: #121212;
}

.download-action-button img {
    width: 20px;
    height: 20px;
}

table {
    width: 100%;
    border-collapse: collapse;
}

th, td {
    border: 2px solid #1f1f1f;
    text-align: left;
    padding: 8px;
    color: #ffffff;
}

th {
    background-color: #1a1a1a;
}

tr:nth-child(odd) {
    background-color: var(--row-odd);
}

tr:nth-child(even) {
    background-color: var(--row-even);
}

button {
    padding: 12px 20px;
    margin-left: 10px;
    border: none;
    border-radius: 10px;
    background-color: var(--accent);
    color: white;
    cursor: pointer;
    font-size: 12px;
    transition: background-color 0.3s;
}

button:hover {
    background-color: #777777;
}

form {
    gap: 10px;
}

input, select {
    padding: 10px 12px;
}

input:where([type="checkbox"][class="sliding_button"]) {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    position: relative;
    color: inherit;
    font-size: inherit;
    width: 13px;
    height: 50%;
    box-sizing: content-box;
    border: 1px solid;
    border-radius: 20px;
}

input:where([type="checkbox"][class="sliding_button"])::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 0;
    transform: translate(0, -50%);
    box-sizing: border-box;
    width: 0.7em;
    height: 0.7em;
    margin: 0 0.15em;
    border: 1px solid;
    border-radius: 50%;
    background: currentcolor;
    transition: 0.3s;
}

input:where([type="checkbox"][class="sliding_button"]):checked {
    background: var(--accent);
}

input:where([type="checkbox"][class="sliding_button"]):checked::before {
    left: 1.2em;
}

input[type="number"], input[type="password"], input[type="text"], select {
    background-color: #2f2f2f;
    color: white;
    border: 2px solid #2f2f2f;
    border-radius: 10px;
    outline: none;
    transition: border-color 0.3s;
    font-size: 12px;
    width: 250px;
    margin-right: 5px;
}

input[type="number"]:focus, input[type="password"]:focus, input[type="text"]:focus, {
    border-color: var(--accent);
}

input:not(:checked):hover {
    background: #373737;
}

@media screen and (max-width: 600px) {
    .hide-on-mobile {
        display: none; /* Hides the element */
    }
}


.sort-indicator {
    display: inline-block;
    width: 1.2em;
    height: 1.2em;
    text-align: center;
    vertical-align: middle;
    line-height: 1.2em;
    font-size: 1em;
    transition: none;
}